## dvtm 0.4.1

=== Makefile ===
include config.mk

SRC += dvtm.c madtty.c
OBJ = ${SRC:.c=.o}

all: clean options dvtm

options:
	@echo dvtm build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

${OBJ}: config.h config.mk

dvtm: ${OBJ}
	@echo CC -o $@
	@${CC} -o $@ ${OBJ} ${LDFLAGS}

unicode: clean
	@make LIBS='${LIBS_UTF8}' CFLAGS='${CFLAGS} -DUSE_UTF8'

debug: clean
	@make CFLAGS='${DEBUG_CFLAGS}'

clean:
	@echo cleaning
	@rm -f dvtm ${OBJ} dvtm-${VERSION}.tar.gz

dist: clean
	@echo creating dist tarball
	@mkdir -p dvtm-${VERSION}
	@cp -R LICENSE Makefile README config.h config.mk \
		${SRC} tile.c bstack.c grid.c fullscreen.c \
		madtty.h dvtm-status dvtm.1 dvtm-${VERSION}
	@tar -cf dvtm-${VERSION}.tar dvtm-${VERSION}
	@gzip dvtm-${VERSION}.tar
	@rm -rf dvtm-${VERSION}

install: dvtm
	@echo stripping executable
	@strip -s dvtm
	@echo installing executable file to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f dvtm ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/dvtm
	@cp -f dvtm-status ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/dvtm-status
	@echo installing manual page to ${DESTDIR}${MANPREFIX}/man1
	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
	@sed "s/VERSION/${VERSION}/g" < dvtm.1 > ${DESTDIR}${MANPREFIX}/man1/dvtm.1
	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/dvtm.1

uninstall:
	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
	@rm -f ${DESTDIR}${PREFIX}/bin/dvtm
	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
	@rm -f ${DESTDIR}${MANPREFIX}/man1/dvtm.1

.PHONY: all options clean dist install uninstall debug unicode

## dvtm 0.6

=== Makefile ===
--- 
+++ 
@@ -21,9 +21,6 @@
 	@echo CC -o $@
 	@${CC} -o $@ ${OBJ} ${LDFLAGS}
 
-unicode: clean
-	@make LIBS='${LIBS_UTF8}' CFLAGS='${CFLAGS} -DUSE_UTF8'
-
 debug: clean
 	@make CFLAGS='${DEBUG_CFLAGS}'
 
@@ -35,8 +32,9 @@
 	@echo creating dist tarball
 	@mkdir -p dvtm-${VERSION}
 	@cp -R LICENSE Makefile README config.h config.mk \
-		${SRC} tile.c bstack.c grid.c fullscreen.c \
-		madtty.h dvtm-status dvtm.1 dvtm-${VERSION}
+		${SRC} tile.c bstack.c tstack.c grid.c fullscreen.c \
+		madtty.h statusbar.c mouse.c cmdfifo.c \
+		dvtm-status dvtm.1 dvtm-${VERSION}
 	@tar -cf dvtm-${VERSION}.tar dvtm-${VERSION}
 	@gzip dvtm-${VERSION}.tar
 	@rm -rf dvtm-${VERSION}
@@ -61,4 +59,4 @@
 	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
 	@rm -f ${DESTDIR}${MANPREFIX}/man1/dvtm.1
 
-.PHONY: all options clean dist install uninstall debug unicode
+.PHONY: all options clean dist install uninstall debug

=== debian/changelog ===
dvtm (0.6-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards-Version to 3.9.1
  * debian/control:
    - Update Build-Depends debhelper (>= 7.0.50~)
    - Add Depends on ${misc:Depends} 
  * Update debian/rules with new dh format

 -- Xavier Oswald <xoswald@debian.org>  Mon, 18 Oct 2010 15:17:42 +0200

dvtm (0.5.2-2) unstable; urgency=low

  * Recommends: ncurses-term. Fixes cases where dvtm detects that the terminal
    supports 256 colors and tries to use TERM=rxvt-256color (Closes: #543390)
  * Bump Standards-Version to 3.8.3

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Mon, 24 Aug 2009 21:25:37 +0200

dvtm (0.5.2-1) unstable; urgency=low

  * New upstream release (Closes: #536151)
  * Update Standards-Version to 3.8.2, no change required

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Wed, 22 Jul 2009 22:42:41 +0200

dvtm (0.5.1-2) unstable; urgency=low

  * debian/control:
    - Remove uneeded DM flag
    - Update Build-Depends debhelper to 7
    - Bump Standards-Version to 3.8.1
    - Change my mail address
  * Update debian/compat to 7
  * Fix lintian warning:
    - W: dvtm source: dh-clean-k-is-deprecated
    - I: dvtm source: quilt-patch-missing-description
      cflags_and_strip_fixes.diff

 -- Xavier Oswald <xoswald@debian.org>  Wed, 29 Apr 2009 00:27:18 +0200

dvtm (0.5.1-1) unstable; urgency=low
  
  * New upstream release

  [Albin Tonnerre]
  * refresh debian/patches/cflags_and_strip_fixes.diff
    + Add -DCONFIG_CMDFIFO to enable the fifo command interface
  * debian/rules: use /usr/share/quilt/quilt.make instead of our own rules

 -- Xavier Oswald <x.oswald@free.fr>  Tue, 17 Feb 2009 21:55:25 +0100

dvtm (0.5-1) unstable; urgency=low

  [Albin Tonnerre]
  * New upstream release (Closes: #506155, #512544)
  * Update Standards-Version to 3.8.0
  * debian/copyright:
    - Adjust year numbers to 2009 for dvtm and debian/
    - [lintian] fix I: copyright-with-old-dh-make-debian-copyright

  [Xavier Oswald]
  * debian/control: change XS-Dm-Upload-Allowed to Dm-Upload-Allowed

 -- Xavier Oswald <x.oswald@free.fr>  Tue, 27 Jan 2009 00:49:54 +0100

dvtm (0.4.1-1) unstable; urgency=low
  [Albin Tonnerre]
  * New Upstream Version (Closes: #482036)
  * debian/patches/cflags_and_strip_fixes.diff:
    - Explicitely define LDFLAGS = , not +=, as this leads to have both
      -lncurses and -lncursesw appended when you call 'make unicode'

 -- Xavier Oswald <x.oswald@free.fr>  Sun, 25 May 2008 12:55:52 +0200

dvtm (0.4-1) unstable; urgency=low

  * Initial release (Closes: #456599)
  * debian/patches/cflags_and_strip_fixes.diff:
    - Allow passing custom CFLAGS (eg when DEB_BUILD_OPTIONS=noopt)
    - Don't strip the binary in Makefile, let dh_strip handle it

 -- Albin Tonnerre <albin.tonnerre@gmail.com>  Tue, 26 Feb 2008 19:03:36 +0100

=== debian/control ===
Source: dvtm
Section: utils
Priority: extra
Maintainer: Albin Tonnerre <albin.tonnerre@gmail.com>
Uploaders: Xavier Oswald <xoswald@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libncursesw5-dev
Standards-Version: 3.9.1
Homepage: http://www.brain-dump.org/projects/dvtm

Package: dvtm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ncurses-term
Description: Tiling window management for the console
 dvtm (dynamic virtual terminal manager) brings dwm and it's concept of tiling
 window management to the console. As a console window manager it tries to make
 it easy to work with multiple console based programs.

=== debian/rules ===
#!/usr/bin/make -f


%:                                                                                                                                              
	dh $@

override_dh_auto_install:
	$(MAKE) install DESTDIR=debian/dvtm PREFIX=/usr
	mv debian/dvtm/usr/bin/dvtm-status \
		debian/dvtm/usr/share/doc/dvtm/examples

## dvtm 0.12

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 include config.mk
 
-SRC += dvtm.c madtty.c
+SRC += dvtm.c vt.c
 OBJ = ${SRC:.c=.o}
 
 all: clean options dvtm
@@ -10,6 +10,9 @@
 	@echo "CFLAGS   = ${CFLAGS}"
 	@echo "LDFLAGS  = ${LDFLAGS}"
 	@echo "CC       = ${CC}"
+
+config.h:
+	cp config.def.h config.h
 
 .c.o:
 	@echo CC $<
@@ -31,10 +34,10 @@
 dist: clean
 	@echo creating dist tarball
 	@mkdir -p dvtm-${VERSION}
-	@cp -R LICENSE Makefile README config.h config.mk \
-		${SRC} tile.c bstack.c tstack.c grid.c fullscreen.c \
-		madtty.h statusbar.c mouse.c cmdfifo.c \
-		dvtm-status dvtm.1 dvtm-${VERSION}
+	@cp -R LICENSE Makefile README testsuite.sh config.def.h config.mk \
+		${SRC} vt.h forkpty-aix.c tile.c bstack.c tstack.c vstack.c \
+		grid.c fullscreen.c fibonacci.c dvtm-status dvtm.info dvtm.1 \
+		dvtm-${VERSION}
 	@tar -cf dvtm-${VERSION}.tar dvtm-${VERSION}
 	@gzip dvtm-${VERSION}.tar
 	@rm -rf dvtm-${VERSION}
@@ -52,10 +55,13 @@
 	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
 	@sed "s/VERSION/${VERSION}/g" < dvtm.1 > ${DESTDIR}${MANPREFIX}/man1/dvtm.1
 	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/dvtm.1
+	@echo installing terminfo description
+	@tic -o ${DESTDIR}${PREFIX}/share/terminfo -s dvtm.info
 
 uninstall:
 	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
 	@rm -f ${DESTDIR}${PREFIX}/bin/dvtm
+	@rm -f ${DESTDIR}${PREFIX}/bin/dvtm-status
 	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
 	@rm -f ${DESTDIR}${MANPREFIX}/man1/dvtm.1

=== debian/changelog ===
dvtm (0.12-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:40:39 +0000

dvtm (0.12-1) unstable; urgency=medium

  * New upstream release (Closes: #760607)
  * Switch to debhelper compat level 9
  * cflags_and_strip_fixes.diff: refresh following upstream changes
  * debian/control:
    - Update Standards-Version to 3.9.5, no change required
    - Update email address from albin.tonnerre@gmail.com to lutin@debian.org

 -- Albin Tonnerre <lutin@debian.org>  Sun, 07 Sep 2014 13:10:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: dvtm
 Section: utils
 Priority: extra
-Maintainer: Albin Tonnerre <albin.tonnerre@gmail.com>
+Maintainer: Albin Tonnerre <lutin@debian.org>
 Uploaders: Xavier Oswald <xoswald@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libncursesw5-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), libncursesw5-dev
+Standards-Version: 3.9.5
 Homepage: http://www.brain-dump.org/projects/dvtm
 
 Package: dvtm

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install DESTDIR=debian/dvtm PREFIX=/usr
	mv debian/dvtm/usr/bin/dvtm-status \
		debian/dvtm/usr/share/doc/dvtm/examples

## dvtm 0.15

=== debian/changelog ===
dvtm (0.15-2) unstable; urgency=medium

  * debian/patches/restore-signal-handlers.patch: Restore default signal
    handlers for child processes. See #841090 for detailed discussion.
    + Thanks: Ian Jackson <ijackson@chiark.greenend.org.uk>
  * patches/highlight-selected-tag.patch: Make selected tag in bar more
    contrast.

 -- Dmitry Bogatov <KAction@gnu.org>  Thu, 01 Dec 2016 15:20:12 +0300

dvtm (0.15-1) unstable; urgency=medium

  * New maintainer (Closes: #824284, #825269)
  * New upstream release (Closes: #793472)
  * Bump debhelper compat level (9 -> 10), and add lintian override
    about wrong versioned debhelper dependency
  * Replace patch about stripping and PREFIX with environment variables,
    exported from debian/rules.
  * Adjust debian/docs to match upstream, renamed README to README.md
  * Convert debian/copyright into DEP-5 format
  * Remove `config.h' at clean stage
  * Bump standards version to 3.9.8 (no changes needed)
  * Enable hardening
  * Make copymode work out-of-box in most cases
  * Export every available command for fifo scripting

 -- Dmitry Bogatov <KAction@gnu.org>  Thu, 28 Apr 2016 03:39:11 +0300

=== debian/control ===
Source: dvtm
Section: utils
Priority: extra
Maintainer: Dmitry Bogatov <KAction@gnu.org>
Build-Depends: debhelper (>= 9.2016), libncurses5-dev, libncursesw5-dev
Standards-Version: 3.9.8
Homepage: http://www.brain-dump.org/projects/dvtm

Package: dvtm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ncurses-term
Description: Tiling window management for the console
 dvtm (dynamic virtual terminal manager) brings dwm and it's concept of tiling
 window management to the console. As a console window manager it tries to make
 it easy to work with multiple console based programs.

=== debian/rules ===
#!/usr/bin/make -f

# Upstream Makefile uses $(STRIP) as program to strip binaries.  It is
# unwanted, since stripping and debug package generation is handled by
# debhelper.
export STRIP = /bin/true

# Upstream Makefile by default install under /usr/local.
export PREFIX = /usr

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mv debian/dvtm/usr/bin/dvtm-status \
		debian/dvtm/usr/share/doc/dvtm/examples

## dvtm 0.15%2B40.g311a8c0

=== debian/changelog ===
dvtm (0.15+40.g311a8c0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * QA Upload.
    Orphan package - see bug 983796.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 13.
  * Update standards version to 4.6.1, no changes needed.

  [ Matheus Polkorny ]
  * debian/control:
    - Build-depend libncurses5w-dev removed.
    - Build-depend on libncurses-dev, libncurses5-dev is deprecated.
    - Bumped Standards-Version to 4.7.0.
  * debian/patches:
    - Added description in fix-spelling-errors.patch.
    - Added Forwarded field increase-number-of-tags-to-9-to-use-all-.patch.
    - Forwarded to Upstream restore-signal-handlers.patch.
  * debian/upstream: Add metadata in package.
  * debian/watch:
    - Bumped version to 4.
    - Updated watch URL to HTTPS.

 -- Matheus Polkorny <mpolkorny@gmail.com>  Sat, 25 May 2024 21:40:00 -0300

dvtm (0.15+40.g311a8c0-1) unstable; urgency=medium

  * New snapshot of upstream repository (Closes: #917568)
  * Refresh patches
    + Drop `dvtm-editor.patch', since upstream now includes
      code to use any text editor for copy mode.
  * Extract current package version in Makefile from debian/changelog
    instead of invoking git.
  * Update standards version to 4.3.0 (no changes needed)
  * Enable large file support
  * Fix spelling error in manpage

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 03 Jan 2019 09:59:26 +0000

dvtm (0.15-5) unstable; urgency=medium

  * Increase number of tags to 9, to use all keyboard and match
    default configuration of `dwm'.

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 28 Dec 2018 03:39:45 +0000

dvtm (0.15-4) unstable; urgency=medium

  * Fix typo in package description (s/it's/its)
  * Build-depend on `debhelper-compat' (obsoletes `debian/compat')
  * Bump standards version to 4.2.1 (no changes needed)
  * Update Vcs-* fields in debian/control.

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 24 Nov 2018 21:34:36 +0000

dvtm (0.15-3) unstable; urgency=medium

  * Add support for rootless build
  * Update standards version to 4.1.4 (no changes needed)
  * Add Vcs-* fields into debian/control
  * Replace deprecated priority 'extra' with 'optional'
  * Bump debhelper compat version to 11 (no changes needed)
  * Use secure protocol when referering to copyright format file
  * Remove unused lintian override
  * Do not install terminal description; depend on ncurses-term
    instead. (Closes: #897953)

 -- Dmitry Bogatov <KAction@gnu.org>  Fri, 11 May 2018 19:38:43 +0300

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,10 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+include /usr/share/dpkg/default.mk
+export CFLAGS  += $(shell getconf LFS_CFLAGS)
+export LDFLAGS += $(shell getconf LFS_LDFLAGS)
+export CFLAGS  += $(CPPFLAGS)
 
 # Upstream Makefile uses $(STRIP) as program to strip binaries.  It is
 # unwanted, since stripping and debug package generation is handled by

## dvtm 0.15+40.g311a8c0

=== Makefile ===
include config.mk

SRC = dvtm.c vt.c
BIN = dvtm dvtm-status dvtm-editor dvtm-pager
MANUALS = dvtm.1 dvtm-editor.1 dvtm-pager.1

VERSION = $(shell git describe --always --dirty 2>/dev/null || echo "0.15-git")
CFLAGS += -DVERSION=\"${VERSION}\"
DEBUG_CFLAGS = ${CFLAGS} -UNDEBUG -O0 -g -ggdb -Wall -Wextra -Wno-unused-parameter

all: dvtm dvtm-editor

config.h:
	cp config.def.h config.h

dvtm: config.h config.mk *.c *.h
	${CC} ${CFLAGS} ${SRC} ${LDFLAGS} ${LIBS} -o $@

dvtm-editor: dvtm-editor.c
	${CC} ${CFLAGS} $^ ${LDFLAGS} -o $@

man:
	@for m in ${MANUALS}; do \
		echo "Generating $$m"; \
		sed -e "s/VERSION/${VERSION}/" "$$m" | mandoc -W warning -T utf8 -T xhtml -O man=%N.%S.html -O style=mandoc.css 1> "$$m.html" || true; \
	done

debug: clean
	@$(MAKE) CFLAGS='${DEBUG_CFLAGS}'

clean:
	@echo cleaning
	@rm -f dvtm
	@rm -f dvtm-editor

dist: clean
	@echo creating dist tarball
	@git archive --prefix=dvtm-${VERSION}/ -o dvtm-${VERSION}.tar.gz HEAD

install: all
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@for b in ${BIN}; do \
		echo "installing ${DESTDIR}${PREFIX}/bin/$$b"; \
		cp -f "$$b" "${DESTDIR}${PREFIX}/bin" && \
		chmod 755 "${DESTDIR}${PREFIX}/bin/$$b"; \
	done
	@echo installing manual page to ${DESTDIR}${MANPREFIX}/man1
	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
	@for m in ${MANUALS}; do \
		sed -e "s/VERSION/${VERSION}/" < "$$m" >  "${DESTDIR}${MANPREFIX}/man1/$$m" && \
		chmod 644 "${DESTDIR}${MANPREFIX}/man1/$$m"; \
	done
	@echo installing terminfo description
	@TERMINFO=${TERMINFO} tic -s dvtm.info

uninstall:
	@for b in ${BIN}; do \
		echo "removing ${DESTDIR}${PREFIX}/bin/$$b"; \
		rm -f "${DESTDIR}${PREFIX}/bin/$$b"; \
	done
	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
	@rm -f ${DESTDIR}${MANPREFIX}/man1/dvtm.1

.PHONY: all clean dist install uninstall debug

=== debian/changelog ===
dvtm (0.15+40.g311a8c0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Install terminfo files, revert dependency on ncurses-term (Closes: #911515)
  * Relax dependency on dpkg

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 11 Feb 2019 04:25:40 +0000

=== debian/control ===
Source: dvtm
Section: utils
Priority: optional
Maintainer: Dmitry Bogatov <KAction@debian.org>
Build-Depends:
 debhelper-compat (= 11),
 libncurses5-dev,
 libncursesw5-dev,
Standards-Version: 4.3.0
Homepage: http://www.brain-dump.org/projects/dvtm
Vcs-Browser: https://salsa.debian.org/debian/dvtm
Vcs-Git: https://salsa.debian.org/debian/dvtm.git
Rules-Requires-Root: no

Package: dvtm
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Tiling window management for the console
 dvtm (dynamic virtual terminal manager) brings dwm and its concept of tiling
 window management to the console. As a console window manager it tries to make
 it easy to work with multiple console based programs.

=== debian/rules ===
--- 
+++ 
@@ -21,5 +21,7 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	mkdir -p debian/dvtm/lib
+	mv debian/dvtm/usr/share/terminfo debian/dvtm/lib
 	mv debian/dvtm/usr/bin/dvtm-status \
 		debian/dvtm/usr/share/doc/dvtm/examples
